Subject: Re: [ Creed Discuss ] Stapp's personal life-stay out of it
From: "Kimberly Reid" <[email-masked]>
To: [email-masked]
Date: Thu, 09 Jan 2003 14:45:17 +0000

He's whipped, mayhaps, because of the very happenstances listed earlier----death, illnesses, accidents, custody battles, domestic disputes, infidelities, addictions, canceling/postponing-making up, etc, etc.  I can see that he is down now, but I will reserve judgement until I am able to see how well he can pull himself up out of it all and rise above it.

Joe Earles wrote:

...Scott Stapp was worthy of at least some degree of admiration. If anyone

thinks he's NOT on a serious downward spiral you are kidding yourself. I

just wish I knew what was REALLY going on because he wasn't anywhere near

this whipped at the end of the Human Clay tour.

The new MSN 8: smart spam protection and 2 months FREE*. To unsubscribe or change your preferences for the Creed-Discuss list, visit: http://www.debbir.com/lists/Creed-discuss.htm To submit your profile, visit: http://www.creedlisters.com/profile/submit.asp To view List member Profiles, visit: http://www.creedlisters.com